Domanda L'aggiornamento a Gnome 3.16 in 15.04 porterà a 'dipendenza da inferno' durante l'aggiornamento a 15.10? [chiuso]


Attualmente sto usando Ubuntu Gnome 15.04, con Gnome Shell e Gnome 3.14, ma sto pensando di aggiornare Gnome dalla 3.14 alla 3.16 usando questi PPA:

  • gnome3-team/gnome3-staging
  • gnome3-team/gnome3

Ma poi quando voglio aggiornare a Ubuntu Gnome 15.10, se si dice che è ancora in esecuzione Gnome 3.14, o una versione più alta, ciò potrebbe portare a ciò che è noto come 'dipendenza da inferno'?


1
2017-08-06 12:21


origine


Può essere più stabile per fare una nuova installazione in ogni caso (facile con un separato /home). Ad ogni modo, se non si è sicuri, è possibile disinstallare i pacchetti del PPA (usando ppa-purge, selezionandolo in Synaptic ecc.) e poi aggiorna - dovrebbe andare bene allora. - Wilf
@Wilf: puoi convertirlo in una risposta per favore in modo che io possa accettarlo. :)


risposte:


Se non sei sicuro che l'aggiornamento andrà a pianificare l'aggiornamento, puoi disinstallare i pacchetti di PPA:

  • utilizzando ppa-purge, selezionandolo in Synaptic ecc.) e poi aggiorna - dovrebbe andare bene allora.)

  • L'uso di Synaptic può funzionare su PPA difficili, come ho scoperto Qui:

    ppa-purge è inefficace con quel ppa, (elementare-os / daily) e probabilmente lo stesso con autoremove. Aggiungerei nuovamente i sorgenti ppa e update. Quindi apri sinaptic> Origin. Clicca sulla voce per quel ppa / ora. Con shift + clic evidenzia tutti i pacchetti e contrassegna per la rimozione, ecc. Quindi sbarazzarsi del ppa.

Potrebbe essere più stabile fare una nuova installazione in ogni caso (e questo è molto facile con un separato /home, l'installatore può automaticamente offrire di farlo per te). Potrebbe essere più stabile fare una nuova installazione in ogni caso (e questo è molto facile con un separato /home, il programma di installazione può automaticamente offrire di farlo per voi)) - Questo è stato discusso Qui. Potresti riuscire a eseguire una nuova installazione anche dopo un aggiornamento errato.

Assicurati solo che quando esegui l'aggiornamento hai un backup affidabile di tutto (o solo quali dati sono importanti), quindi se funziona male puoi ripristinarlo facilmente.


3
2017-08-06 14:19